{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Profile</title>
{% endblock meta %}

{% block content %}
<style>
    body {
    margin: 0;
    /* padding-top: 40px; */
    color: #2e323c;
    background: #f5f6fa;
    position: relative;
    height: 100%;
}
.user-settings .user-profile {
    margin: 0 0 1rem 0;
    padding-bottom: 1rem;
    text-align: center;
}
.user-settings .user-profile .user-avatar {
    margin: 0 0 1rem 0;
}
.user-settings .user-profile .user-avatar img {
    width: 90px;
    height: 90px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 100px;
}

.user-settings .motto {
    margin: 1rem 0 0 0;
    text-align: center;
    
}
.user-settings .motto h5 {
    margin: 0 0 10px 0;
    color: #ffffff;
}

.user-settings .motto b {
    margin: 0 0 10px 0;
    color: #ffffff;
}


.card {
    background: #BA55D3;
    
}
</style>

<div class="container">
    <div class="card h-100">
            <div class="user-settings">
                <div class="user-profile">
                    <div class="user-avatar">
                        <img src="https://bootdey.com/img/Content/avatar/avatar7.png" alt="No Picture">
                    </div>
                        <!-- Display attributes of instance -->
                        <div class="motto">
                            <p id="first_name">
                                <b>First Name:</b> <br>
                            </p>
                            <p id="last_name">
                                <b> Last Name: </b><br>
                            </p>
                            <p id="hobby">
                                <b>Hobby:</b> <br>
                            </p>
                            <p id="motto">
                                <b> Motto:</b><br>
                            </p>
                        </div>
            
                    
                    <div class="card-action">
                        <a href="/profileupdate/{{request.user.id}}/" class="btn waves-effect"><i class="material-icons right">send</i>Edit</a>
                       
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    var id = "{{request.user.id}}";
    $(document).ready(function(){
    $.ajax({
        type:"GET",
        url:"/profile/"+ id +"/viewjson",
        success: function(response){
            console.log(response)
            var first_name = "<p>" + response[0]['fields']['first_name'] + "</p>"
            var last_name = "<p>" + response[0]['fields']['last_name'] + "</p>"
            var hobby = "<p>" + response[0]['fields']['hobby'] + "</p>"
            var motto = "<p>" + response[0]['fields']['motto'] + "</p>"
            $("#first_name").append(first_name)
            $("#last_name").append(last_name)
            $("#hobby").append(hobby)
            $("#motto").append(motto)
        }
    })
    });
</script>

   -->
{% endblock content %}